Module tdlight.api
Package it.tdlight.jni

# Class TdApi.NotificationSettingsScope

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.NotificationSettingsScope

Direct Known Subclasses:
  `TdApi.NotificationSettingsScopeChannelChats`, `TdApi.NotificationSettingsScopeGroupChats`, `TdApi.NotificationSettingsScopePrivateChats`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.NotificationSettingsScope extends TdApi.Object permits TdApi.NotificationSettingsScopePrivateChats, TdApi.NotificationSettingsScopeGroupChats, TdApi.NotificationSettingsScopeChannelChats
This class is an abstract base class. Describes the types of chats to which notification settings are relevant.

## Constructor Summary

Constructors
Constructor
Description
`NotificationSettingsScope()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NotificationSettingsScope

public NotificationSettingsScope()
Default class constructor.